Name: liborcus
Version: 0.1.0
Release: 1%{?dist}
Summary: Standalone file import filter library for spreadsheet documents

Group: System Environment/Libraries
License: MIT
URL: http://gitorious.org/orcus
Source: http://kohei.us/files/orcus/src/%{name}_%{version}.tar.bz2
Patch0: 0001-link-with-Boost.System-if-needed.patch

# libs
BuildRequires: boost-devel
BuildRequires: mdds-devel
BuildRequires: zlib-devel

# build tools
BuildRequires: autoconf
BuildRequires: automake

%description
%{name} is a standalone file import filter library for spreadsheet
documents. Currently under development are ODS, XLSX and CSV import
filters.

%package devel
Summary: Development files for %{name}
Group: Development/Libraries
Requires: %{name}%{?_isa} = %{version}-%{release}

%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.

%package tools
Summary: Tools for working with Orcus
Group: Applications/Publishing
Requires: %{name}%{?_isa} = %{version}-%{release}

%description tools
Tools for working with Orcus.


%prep
%setup -q -n %{name}_%{version}
%patch0 -p1


%build
aclocal -I m4
autoconf
automake
# TODO spreadsheet-model requires ixion
%configure --disable-debug --disable-static --disable-werror --with-pic \
    --disable-spreadsheet-model --without-libzip
sed -i \
    -e 's|^hardcode_libdir_flag_spec=.*|hardcode_libdir_flag_spec=""|g' \
    -e 's|^runpath_var=LD_RUN_PATH|runpath_var=DIE_RPATH_DIE|g' \
    libtool
make %{?_smp_mflags} V=1


%install
make install DESTDIR=%{buildroot}
rm -f %{buildroot}/%{_libdir}/*.la


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%doc AUTHORS
%{_libdir}/%{name}-0.2.so.*


%files devel
%{_includedir}/%{name}-0.2
%{_libdir}/%{name}-0.2.so
%{_libdir}/pkgconfig/%{name}-0.2.pc


%files tools
%{_bindir}/orcus-format-xml


%changelog
* Sun Sep 09 2012 David Tardon <dtardon@redhat.com> - 0.1.0-1
- initial import
